Name:           python-exifread
Version:        3.3.0
Release:        %autorelease
Summary:        Library to extract Exif information from digital camera image files

License:        BSD-3-Clause
URL:            https://github.com/ianare/exif-py
Source:         %{pypi_source exifread}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Easy to use Python module to extract Exif metadata from digital image files.}

%description %_description

%package -n     python3-exifread
Summary:        %{summary}

%description -n python3-exifread %_description

%prep
%autosetup -p1 -n exifread-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l exifread
# https://github.com/ianare/exif-py/pull/229
rm -rf %{buildroot}%{python3_sitelib}/tests

%check
%pyproject_check_import

%files -n python3-exifread -f %{pyproject_files}
%{_bindir}/EXIF.py
%license LICENSE
%doc README.rst

%changelog
%autochangelog